Bug 729849 - WARNING: at lib/list_debug.c:56 __list_del_entry+0x8d/0x98() - list_del corruption.
Summary: WARNING: at lib/list_debug.c:56 __list_del_entry+0x8d/0x98() - list_del corru...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 03:03 UTC by Tom London
Modified: 2011-08-16 13:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-16 13:48:50 UTC


Attachments (Terms of Use)
/var/log/messages of boot when got 'list_del corruption' at shutdown (612.12 KB, text/plain)
2011-08-11 03:03 UTC, Tom London
no flags Details

Description Tom London 2011-08-11 03:03:26 UTC
Created attachment 517724 [details]
/var/log/messages of boot when got 'list_del corruption' at shutdown

Description of problem:
Noticed 96 of the following when shutting down kernel-3.1.0-0.rc1.git1.1.fc17.x86_64

Aug 10 07:00:47 tlondon kernel: [ 3669.885442] ------------[ cut here ]------------
Aug 10 07:00:47 tlondon kernel: [ 3669.885453] WARNING: at lib/list_debug.c:56 __list_del_entry+0x8d/0x98()
Aug 10 07:00:47 tlondon kernel: [ 3669.885455] Hardware name: 74585FU
Aug 10 07:00:48 tlondon kernel: [ 3669.885457] list_del corruption. next->prev should be ffffea00043b5c20, but was ffff88013b9d6d10
Aug 10 07:00:48 tlondon kernel: [ 3669.885460] Modules linked in: tcp_lp fuse ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ppdev xt_CHECKSUM parport_pc iptable_mangle lp parport tun bridge stp llc rfcomm bnep usblp arc4 uvcvideo videodev media snd_usb_audio snd_usbmidi_lib v4l2_compat_ioctl32 snd_rawmidi iwlagn microcode snd_hda_codec_conexant mac80211 snd_hda_intel iTCO_wdt i2c_i801 snd_hda_codec iTCO_vendor_support cfg80211 btusb bluetooth snd_hwdep thinkpad_acpi snd_seq snd_seq_device rfkill snd_pcm snd_timer snd soundcore snd_page_alloc e1000e virtio_net kvm_intel kvm uinput wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
Aug 10 07:00:48 tlondon kernel: [ 3669.885541] Pid: 10, comm: ksoftirqd/1 Not tainted 3.1.0-0.rc1.git1.1.fc17.x86_64 #1
Aug 10 07:00:48 tlondon kernel: [ 3669.885544] Call Trace:
Aug 10 07:00:48 tlondon kernel: [ 3669.885549]  [<ffffffff8105c4e0>] warn_slowpath_common+0x83/0x9b
Aug 10 07:00:48 tlondon kernel: [ 3669.885553]  [<ffffffff8105c59b>] warn_slowpath_fmt+0x46/0x48
Aug 10 07:00:48 tlondon kernel: [ 3669.885557]  [<ffffffff81258769>] __list_del_entry+0x8d/0x98
Aug 10 07:00:48 tlondon kernel: [ 3669.885561]  [<ffffffff81258782>] list_del+0xe/0x2d
Aug 10 07:00:48 tlondon kernel: [ 3669.885565]  [<ffffffff814ee2c5>] __slab_free+0x1db/0x235
Aug 10 07:00:48 tlondon kernel: [ 3669.885570]  [<ffffffff811b71da>] ? ext4_i_callback+0x23/0x25
Aug 10 07:00:48 tlondon kernel: [ 3669.885574]  [<ffffffff811b71da>] ? ext4_i_callback+0x23/0x25
Aug 10 07:00:48 tlondon kernel: [ 3669.885578]  [<ffffffff811b71da>] ? ext4_i_callback+0x23/0x25
Aug 10 07:00:48 tlondon kernel: [ 3669.885582]  [<ffffffff81130868>] kmem_cache_free+0x85/0xff
Aug 10 07:00:48 tlondon kernel: [ 3669.885585]  [<ffffffff811b71da>] ext4_i_callback+0x23/0x25
Aug 10 07:00:48 tlondon kernel: [ 3669.885590]  [<ffffffff810c719c>] __rcu_process_callbacks+0x1ed/0x32d
Aug 10 07:00:48 tlondon kernel: [ 3669.885594]  [<ffffffff8104a093>] ? finish_task_switch+0x3f/0xea
Aug 10 07:00:48 tlondon kernel: [ 3669.885598]  [<ffffffff81062ad2>] ? __do_softirq+0x7e/0x25a
Aug 10 07:00:48 tlondon kernel: [ 3669.885601]  [<ffffffff810c81ce>] rcu_process_callbacks+0x28/0xa2
Aug 10 07:00:48 tlondon kernel: [ 3669.885605]  [<ffffffff81062b66>] __do_softirq+0x112/0x25a
Aug 10 07:00:48 tlondon kernel: [ 3669.885608]  [<ffffffff81062d63>] ? run_ksoftirqd+0xb5/0x191
Aug 10 07:00:48 tlondon kernel: [ 3669.885611]  [<ffffffff81062d5e>] run_ksoftirqd+0xb0/0x191
Aug 10 07:00:48 tlondon kernel: [ 3669.885614]  [<ffffffff81062cae>] ? __do_softirq+0x25a/0x25a
Aug 10 07:00:48 tlondon kernel: [ 3669.885618]  [<ffffffff8107a12d>] kthread+0xa8/0xb0
Aug 10 07:00:48 tlondon kernel: [ 3669.885623]  [<ffffffff814feee4>] kernel_thread_helper+0x4/0x10
Aug 10 07:00:48 tlondon kernel: [ 3669.885628]  [<ffffffff814f6334>] ? retint_restore_args+0x13/0x13
Aug 10 07:00:48 tlondon kernel: [ 3669.885632]  [<ffffffff8107a085>] ? __init_kthread_worker+0x5a/0x5a
Aug 10 07:00:48 tlondon kernel: [ 3669.885635]  [<ffffffff814feee0>] ? gs_change+0x13/0x13
Aug 10 07:00:48 tlondon kernel: [ 3669.885638] ---[ end trace 83058f55178331b1 ]---
Aug 10 07:00:48 tlondon kernel: [ 3669.885765] ------------[ cut here ]------------

I attach complete /var/log/messages from this boot up.

Version-Release number of selected component (if applicable):
kernel-3.1.0-0.rc1.git1.1.fc17.x86_64

How reproducible:
Don't know.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Josh Boyer 2011-08-11 11:56:35 UTC
This should be fixed in kernel-3.1.0-0.rc1.git2.2.fc17 or later.  Please try that kernel and let us know.

Comment 2 Tom London 2011-08-12 13:11:44 UTC
Several reboots with both

kernel-3.1.0-0.rc1.git1.1.fc17.x86_64
kernel-3.1.0-0.rc1.git2.2.fc17.x86_64


did not reproduce the problem.

Guessing it was not 'easily reproducible'....

I'll continue to monitor for the next few days.

Comment 3 Tom London 2011-08-16 13:28:42 UTC
Yeah, I haven't seen this occur again.

Close?

Comment 4 Josh Boyer 2011-08-16 13:48:50 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.